Package org.opensaml.xmlsec

# Interface DecryptionConfiguration

All Superinterfaces:
  `AlgorithmPolicyConfiguration`

All Known Implementing Classes:
  `BasicDecryptionConfiguration`

public interface DecryptionConfiguration extends AlgorithmPolicyConfiguration
The configuration information to use when decrypting encrypted XML.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`AlgorithmPolicyConfiguration.Precedence`

## Method Summary

Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
`getDataKeyInfoCredentialResolver()`
The KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`EncryptedKeyResolver`
`getEncryptedKeyResolver()`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`KeyInfoCredentialResolver`
`getKEKKeyInfoCredentialResolver()`
The KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`Set<String>`
`getRecipients()`
Get the set of recipients against which to evaluate candidate EncryptedKey elements.

### Methods inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge`

## Method Details

### getDataKeyInfoCredentialResolver

@Nullable KeyInfoCredentialResolver getDataKeyInfoCredentialResolver()
The KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.

Returns:
  the KeyInfoCredentialResolver instance

### getKEKKeyInfoCredentialResolver

@Nullable KeyInfoCredentialResolver getKEKKeyInfoCredentialResolver()
The KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

Returns:
  the KeyInfoCredentialResolver instance

### getEncryptedKeyResolver

@Nullable EncryptedKeyResolver getEncryptedKeyResolver()
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.

Returns:
  the EncryptedKeyResolver instance

### getRecipients

@Nullable Set<String> getRecipients()
Get the set of recipients against which to evaluate candidate EncryptedKey elements.

Returns:
  the recipients